(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "path", "../loader"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const path_1 = require("path");
    const loader_1 = require("../loader");
    function loadExternals(externals = {}, env) {
        for (let [name, config] of Object.entries(externals)) {
            const path = path_1.resolve(path_1.join(env.configPath, config.path));
            loader_1.setLoader(name, path);
        }
    }
    exports.loadExternals = loadExternals;
});
//# sourceMappingURL=externals.js.map